Update an organization
curl --request PATCH \
--url https://api.ara.so/v3/organizations/{orgId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Acme Corporation"
}
'import requests
url = "https://api.ara.so/v3/organizations/{orgId}"
payload = { "name": "Acme Corporation" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Acme Corporation'})
};
fetch('https://api.ara.so/v3/organizations/{orgId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"org_id": "<string>",
"name": "<string>",
"slug": "<string>",
"plan": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": "session_not_found"
}Update an organization
Partial update. Send only the fields you want to change.
Scope:org:writePATCH
/
v3
/
organizations
/
{orgId}
Update an organization
Authorizations
Your ara_ API key from Settings > Ara API. Keys are capability-scoped: run, plugins:read, secrets:read, secrets:write, sessions:read, knowledge:read, repos:read, repos:write, reviews:read, reviews:write, analytics:read, org:read, org:write, attachments:read, attachments:write, plugins:write, guardrails:read, guardrails:write.
Path Parameters
Organization id or slug. Resolve it with GET /v3/self.
⌘I

